module.exports = function(RED) {
  "use strict";

  var spawn = require('child_process').spawn;

  function SMSSenderNode(n) {
    // Create a RED node
    RED.nodes.createNode(this,n);

    var node = this;

    // Store local copies of the node configuration (as defined in the .html)
    this.num = n.num;             // the phone number
    this.prepend = n.prepend;     // text prefixed to payload

    var inputCallback = function (msg) {
      if (msg.payload && this.num) {
        spawn('gsmsms', [this.num, this.prepend + msg.payload]);
      }
    };

    node.on("input", inputCallback);

    this.on("close", function() {
        // Called when the node is shutdown - eg on redeploy.
        // Allows ports to be closed, connections dropped etc.
        // eg: node.client.disconnect();
      });
    }

    // Register the node by name. This must be called before overriding any of the
    // Node functions.
    RED.nodes.registerType("sms_sender", SMSSenderNode);

}
